Subject: Re: [bug#54561] [PATCH 2/4] doc: Add "Samba" chapter.

From: fesoj000 <[email-masked]>
Date: Sun, 27 Mar 2022 03:07:37 +0200

> +@defvar{samba-service-type}
> +
> +The service type to enable the samba services @code{samba}, @code{nmbd},
> +@code{smbd} and @code{winbindd}.  By default this service type does not
> +run as an AD DC, hence @code{samba} remains disabled.  It is recommended
> +that Samba's package is added to the system profile to have the tool-set
> +available for modifications in Samba's runtime directories.
Maybe it is a good idea to provide the samba tool-set by default. You could
add the following to your samba-service-type:

(service-extension profile-service-type
                    (compose list samba-configuration-samba))

Some of the samba tools are broken though. I send a patch some time ago
which tries to address this issue. Maybe you want to take a look?
https://issues.guix.gnu.org/issue/54266